.TH HG ANNOTATE  "" "" ""
.SH NAME
hg annotate \- show changeset information by line for each file
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg annotate [\-r REV] [\-f] [\-a] [\-u] [\-d] [\-n] [\-c] [\-l] FILE...
.ft P
.fi
.SH DESCRIPTION
.sp
List changes in files, showing the revision id responsible for
each line.
.sp
This command is useful for discovering when a change was made and
by whom.
.sp
If you include \-\-file, \-\-user, or \-\-date, the revision number is
suppressed unless you also include \-\-number.
.sp
Without the \-a/\-\-text option, annotate will avoid processing files
it detects as binary. With \-a, annotate will annotate the file
anyway, although the results will probably be neither useful
nor desirable.
.sp
Use \-L/\-\-line\-range FILE,M:N options to filter the output to the lines
from M to N in FILE. This option is incompatible with \-\-no\-follow and
cannot be combined with file pattern arguments. When combined with \-\-rev
the line ranges refer to the state of the file at the requested revision.
.sp
Template:
.sp
The following keywords are supported in addition to the common template
keywords and functions. See also \%\fBhg help templates\fP\:.
.INDENT 0.0
.TP
.B lines
.
List of lines with annotation data.
.TP
.B path
.
String. Repository\-absolute path of the specified file.
.UNINDENT
.sp
And each entry of \fB{lines}\fP provides the following sub\-keywords in
addition to \fB{date}\fP, \fB{node}\fP, \fB{rev}\fP, \fB{user}\fP, etc.
.INDENT 0.0
.TP
.B line
.
String. Line content.
.TP
.B lineno
.
Integer. Line number at that revision.
.TP
.B path
.
String. Repository\-absolute path of the file at that revision.
.UNINDENT
.sp
See \%\fBhg help templates.operators\fP\: for the list expansion syntax.
.sp
Returns 0 on success.
.SH OPTIONS
.INDENT 0.0
.TP
.BI \-r,  \-\-rev \ <REV>
.
annotate the specified revision
.TP
.B \-\-follow
.
follow copies/renames and list the filename (DEPRECATED)
.TP
.B \-\-no\-follow
.
don\(aqt follow copies and renames
.TP
.B \-a,  \-\-text
.
treat all files as text
.TP
.B \-u,  \-\-user
.
list the author (long with \-v)
.TP
.B \-f,  \-\-file
.
list the filename
.TP
.B \-d,  \-\-date
.
list the date (short with \-q)
.TP
.B \-n,  \-\-number
.
list the revision number (default)
.TP
.B \-c,  \-\-changeset
.
list the changeset
.TP
.B \-l,  \-\-line\-number
.
show line number at the first appearance
.TP
.BI \-\-skip \ <REV[+]>
.
revset to not display (EXPERIMENTAL)
.TP
.BI \-L,  \-\-line\-range \ <FILE,RANGE[+]>
.
follow line range of specified file (EXPERIMENTAL)
.TP
.B \-w,  \-\-ignore\-all\-space
.
ignore white space when comparing lines
.TP
.B \-b,  \-\-ignore\-space\-change
.
ignore changes in the amount of white space
.TP
.B \-B,  \-\-ignore\-blank\-lines
.
ignore changes whose lines are all blank
.TP
.B \-Z,  \-\-ignore\-space\-at\-eol
.
ignore changes in whitespace at EOL
.TP
.BI \-I,  \-\-include \ <PATTERN[+]>
.
include names matching the given patterns
.TP
.BI \-X,  \-\-exclude \ <PATTERN[+]>
.
exclude names matching the given patterns
.TP
.BI \-T,  \-\-template \ <TEMPLATE>
.
display with template
.UNINDENT
.sp
[+] marked option can be specified multiple times
.SH ALIASES
.sp
.nf
.ft C
blame
.ft P
.fi
.\" Generated by docutils manpage writer.
.\" 
.
